SAVELOG(8)

NOM
savelog - Sauvegarder un fichier journal

SYNOPSIS
savelog [-m mode] [-u utilisateur] [-g groupe] [-t] [-p] [-c cycle] [-l] [-j] [-J] [-1 .. -9] [-C] [-d] [-l] [-r répertoire_cyclique] [-n] [-q] [-D format_de_date] fichier ...

DESCRIPTION
Le programme savelog sauvegarde un fichier journal et, éventuellement, compresse les anciennes versions. Les anciennes versions de fichier sont nommées :
    fichier.<numéro><extension_de_compression>
où <numéro> est le numéro de version, la version la plus récente portant le numéro 0. Si l'option -l n'est pas spécifiée, les versions dont le numéro est supérieur à 0 sont compressées. La version 0 n'est pas compressée car le fichier est peut-être utilisé par un programme. Le paramètre cycle indique le nombre de versions à conserver. Si le fichier n'existe pas et que l'option -t est utilisée, il sera créé. Les actions suivantes sont effectuées pour les fichiers existants et dont la taille est supérieure à zéro :

1)  la numérotation des versions est cyclique. Le fichier de version fichier.2 devient version fichier.3, la version fichier.1 devient version fichier.2, ainsi de suite. Enfin, la version fichier.0 devient version fichier.1 et la version fichier est supprimée. Les fichiers compressés et non compressés entrent dans ce cycle, même si l'option -l a été spécifiée. Les versions manquantes sont ignorées ;

2)  le nouveau fichier.1 est compressé sauf si l'option -l est utilisée. Il est modifié en tenant compte des paramètres des options -m, -u, et -g ;

3)  le fichier principal devient fichier.0 ;

4)  si les options -m, -u, -g, -t, ou -p sont utilisées, un fichier vide est créé en tenant compte des arguments de ces options. En utilisant l'option -p, le fichier est créé avec les mêmes utilisateur, groupe et permissions que l'ancien fichier ;

5)  le nouveau fichier.0 est modifié en fonction des arguments des options -m, -u, et -g.

OPTIONS

-m mode
    modifie les autorisations d'accès aux fichiers journaux (chmod mode). Cette option implique -t.

-u utilisateur
    attribue les fichiers journaux à utilisateur (chown utilisateur). Cette option implique -t.

-g groupe
    attribue les fichiers journaux au groupe groupe (chgrp groupe). Cette option implique -t.

-c cycle
    sauvegarde cycle versions du fichier de journalisation (7 par défaut). Le nombre de cycle doit être au minimum de 2.

-t  si nécessaire, crée le fichier journal.

-l  ne compresse pas les fichiers journaux (par défaut, les fichiers sont compressés).

-p  conserve le propriétaire, le groupe et les permissions du fichier journal.

-j  compresse avec bzip2 au lieu de gzip.

-J  compresse avec xz au lieu de gzip. Pour xz, aucune option de compression n'est choisie, xz choisira la valeur par défaut en fonction de la quantité disponible de mémoire physique. Veuillez noter que xz peut utiliser des quantités importantes de mémoire pour les niveaux de compression les plus élevés.

-1 .. -9
    niveau de compression ou utilisation mémoire (valeur par défaut : 9, sauf pour xz)

-C  force la suppression des sauvegardes.

-d  utilise la date (AAMMJJhhmmss) au lieu du numéro de version.

-D format_de_date
    override date format, in the syntax understood by the date(1) command

-r répertoire_cyclique
    sauvegarde les fichiers journaux dans le répertoire répertoire_cyclique au lieu du répertoire courant.

-n  ne sauvegarde pas les fichiers vides.

-q  n'affiche pas de message.

BOGUES
Si un programme est en train d'écrire fichier.0, et que savelog le renomme fichier.1 et le compresse, des données peuvent être perdues.

TRADUCTION
Ce document est une traduction, réalisée par Antoine Gémis <agemis@netuup.com> le 13 janvier 2003 (savelog 1.16.7).
Elle a été reprise avec po4a par Nicolas FRANÇOIS le 29 octobre 2004. L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man. N'hésitez pas à signaler à l'auteur ou à la liste de traduction <debian-l10-french@lists.debian.org>, selon le cas, toute erreur dans cette page de manuel.

VOIR AUSSI
logrotate(8)